<?php
declare(strict_types=1);

namespace App\Entity;


use ApiPlatform\Core\Annotation\ApiProperty;
use ApiPlatform\Core\Annotation\ApiResource;
use ApiPlatform\Core\Action\NotFoundAction;

/**
 * @ApiResource(
 *     itemOperations={
 *         "get"={
 *             "method"="GET",
 *             "controller"=NotFoundAction::class,
 *             "read"=false,
 *             "output"=false,
 *             "path"="/priceNow/{id}",
 *         },
 *     },
 *     collectionOperations={"get"={
 *             "path"="/priceNow",
 *          }
 *      }
 * )
 * 
 */
class PriceNow
{
    /**
     * @ApiProperty(identifier=true)
     */
    public ?int $id = null;

    public ?float $min = null;
    public ?float $max = null;
    public ?float $avg = null;
    public ?float $now = null;
}